libetonyek::KEYXMLReader::MixedIterator Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::KEYXMLReader::MixedIterator Class Reference

`#include <KEYXMLReader.h>`

## Public Member Functions
| MixedIterator (const KEYXMLReader &reader)
bool | next ()
bool | isElement () const
bool | isText () const
const char * | getName () const
const char * | getNamespace () const
const char * | getText () const
bool | isEmpty () const
int | getToken (const char *token) const
const NodeIterator & | getNodeIterator () const

## Private Attributes
NodeIterator | m_iterator

## Constructor & Destructor Documentation

libetonyek::KEYXMLReader::MixedIterator::MixedIterator | ( | const KEYXMLReader & | reader | ) |
| explicit

## Member Function Documentation

const char * libetonyek::KEYXMLReader::MixedIterator::getName | ( |  | ) | const

const char * libetonyek::KEYXMLReader::MixedIterator::getNamespace | ( |  | ) | const

const KEYXMLReader::NodeIterator & libetonyek::KEYXMLReader::MixedIterator::getNodeIterator | ( |  | ) | const

const char * libetonyek::KEYXMLReader::MixedIterator::getText | ( |  | ) | const

Referenced by libetonyek::KEY2Parser::parseLink(), libetonyek::PAGParser::parseP(), libetonyek::KEY2Parser::parseP(), libetonyek::PAGParser::parseSpan(), and libetonyek::KEY2Parser::parseSpan().

int libetonyek::KEYXMLReader::MixedIterator::getToken | ( | const char * | token | ) | const

bool libetonyek::KEYXMLReader::MixedIterator::isElement | ( |  | ) | const

Referenced by libetonyek::KEYXMLReader::KEYXMLReader(), libetonyek::KEY2Parser::parseLink(), libetonyek::PAGParser::parseP(), libetonyek::KEY2Parser::parseP(), libetonyek::PAGParser::parseSpan(), and libetonyek::KEY2Parser::parseSpan().

bool libetonyek::KEYXMLReader::MixedIterator::isEmpty | ( |  | ) | const

bool libetonyek::KEYXMLReader::MixedIterator::isText | ( |  | ) | const

bool libetonyek::KEYXMLReader::MixedIterator::next | ( |  | ) |

Referenced by libetonyek::KEY2Parser::parseLink(), libetonyek::PAGParser::parseP(), libetonyek::KEY2Parser::parseP(), libetonyek::PAGParser::parseSpan(), and libetonyek::KEY2Parser::parseSpan().

## Member Data Documentation

NodeIterator libetonyek::KEYXMLReader::MixedIterator::m_iterator
| private

The documentation for this class was generated from the following files:

- KEYXMLReader.h
- KEYXMLReader.cpp